OptArgvIter Class Reference

`#include <options.h>`

Inheritance diagram for OptArgvIter:
[legend]
Collaboration diagram for OptArgvIter:
[legend]

## Public Member Functions

| OptArgvIter (const char *const argv[])
| OptArgvIter (int argc, const char *const argv[])
virtual const char * | curr (void)
virtual void | next (void)
| next() advances to the next item.
virtual const char * | operator() (void)
virtual void | rewind (void)
| rewind() resets the "current-element" to the first one in the "list"
int | index (void)
| index returns the current index to use for argv[]
| OptArgvIter (const char *const argv[])
| OptArgvIter (int argc, const char *const argv[])
virtual const char * | curr (void)
virtual void | next (void)
| next() advances to the next item.
virtual const char * | operator() (void)
virtual void | rewind (void)
| rewind() resets the "current-element" to the first one in the "list"
int | index (void)
| index returns the current index to use for argv[]

## Detailed Description

Class to iterate through an array of tokens. The array may be terminated by NULL or a count containing the number of tokens may be given.

## Member Function Documentation

const char * OptArgvIter::curr | ( | void |  | ) |

virtual

curr() returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned.

Implements OptIterRwd.

virtual const char* OptArgvIter::curr | ( | void |  | ) |

virtual

curr() returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned.

Implements OptIterRwd.

const char * OptArgvIter::operator() | ( | void |  | ) |

virtual

operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned.

Implements OptIterRwd.

virtual const char* OptArgvIter::operator() | ( | void |  | ) |

virtual

operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned.

Implements OptIterRwd.

The documentation for this class was generated from the following files:

- apps/elftosb/common/options.h
- apps/elftosb/common/options.cpp